Subject: Re: [PATCH 2/3] ASoC: fsl_ssi: Add dual fifo mode support

From: Timur Tabi <[email-masked]>
Date: Tue, 29 Oct 2013 07:42:41 -0500

Nicolin Chen wrote:
> By enabling dual fifo mode, it would allow SSI enter a better performance
> to transimit/receive data without occasional hardware underrun/overrun.

Have you measured any real performance gain with this patch?  I 
considered adding dual-FIFO support when I originally wrote this driver, 
but it didn't appear to have any real benefit, but it used twice as many 
DMA channels.

I'm concerned that this is another patch that just enables a useless 
feature.